local TOCNAME,ADDON=...
local L = setmetatable({}, {__index = function (t, k)  
	if ADDON.L and ADDON.L[k] then 
		return ADDON.L[k]
	else
		return "["..k.."]"
	end	
end})

ADDON.locales={
	enEN ={ --EN is Master/Fallback
		AboutInfo="",
		AboutUsage="",
		AboutSlashCommand="<value> can be true, 1, enable, false, 0, disable. If <value> is omitted, the current status switches.",
		
		PanelAbout="About",
		HeaderInfo="Information",
		HeaderUsage="Usage",
		HeaderSlashCommand="Commands",
		HeaderCredits="Credits",		
		
		MissingStack="Missing stack:",
		Saved="Saved",
		Stored="Stored Settings",
		Available="Available Items",
		PlaceHolderSelect="Please select an item first",
		Removed="Removed:",
		
		cboxAutoFillSolo="Automatic fill trade window for solo/stranger.",
		cboxAutoFillGroup="Automatic fill trade window for group member.",
		cboxAutoFillRaid="Automatic fill trade window for raid member.",
		cboxUseNotFullStack="Use not complete full stack",
		
		SelectItem="Choose an item",
		Group="Group",
		Raid="Raid",
		Solo="Solo",
		
		Save="Save",
		Remove="Remove",
		slashAutoFillSolo ="Set automatic fill trade window for solo/stranger ",
		slashAutoFillGroup="Set automatic fill trade window for group member",
		slashAutoFillRaid ="Set automatic fill trade window for raid member",
		
		slashFill="Fill open trade window.",
		slashConfig="Open config",
		slashAbout="Open about",
		errNoTrade="No active trade!",
		inStacks="(in stacks)",
		ClearTrade="Clear",
		FillTrade="Fill",
		Config="Config",
		AcceptTrade="Accept trade",
		MageWater="Any conjured water",
		MageFood="Any conjured food",
		WarlockHealthstone="Any Healthstone",
		
	},
	deDE= {
		["AboutSlashCommand"] = "<value> kann true, 1, enable, false, 0, disable sein. Wenn <value> fehlt, wird zwischen ein/aus hin. und hergeschaltet.",
		["AcceptTrade"] = "Handel abschließen",
		["Available"] = "Verfügbare Gegenstände",
		["cboxAutoFillGroup"] = "Handelsfenster automatisch ausfüllen bei Gruppenmitgliedern.",
		["cboxAutoFillRaid"] = "Handelsfenster automatisch ausfüllen bei Raidmitgliedern.",
		["cboxAutoFillSolo"] = "Handelsfenster automatisch ausfüllen bei Solo / Fremden.",
		["cboxUseNotFullStack"] = "Auch nicht komplette Stacks benutzen",
		["ClearTrade"] = "Leeren",
		["Config"] = "Einstellungen",
		["errNoTrade"] = "Kein Handelsfenster ist offen.",
		["FillTrade"] = "Ausfüllen",
		["Group"] = "Gruppe",
		["HeaderCredits"] = "Credits",
		["HeaderInfo"] = "Informationen",
		["HeaderSlashCommand"] = "Befehle",
		["HeaderUsage"] = "Benutzung",
		["inStacks"] = "(in Stacks)",
		["MageFood"] = "Jedes herbeigezaubertes Essen",
		["MageWater"] = "Jedes herbeigezaubertes Trinken",
		["MissingStack"] = "Fehlende Stacks:",
		["PanelAbout"] = "Über",
		["PlaceHolderSelect"] = "Bitte erst ein Gegenstand auswählen.",
		["Raid"] = "Raid",
		["Remove"] = "Entferne",
		["Removed"] = "Entfernt:",
		["Save"] = "Speichern",
		["Saved"] = "Gespeichert",
		["SelectItem"] = "Gegenstand auswählen",
		["slashAbout"] = "Öffnet Über",
		["slashAutoFillGroup"] = "Setzt automatisches ausfüllen für Gruppenmitglieder",
		["slashAutoFillRaid"] = "Setzt automatisches ausfüllen für Raidmitglieder",
		["slashAutoFillSolo"] = "Setzt automatisches ausfüllen bei Solo/Fremden",
		["slashConfig"] = "Öffnet Einstellungen",
		["slashFill"] = "Füllt Handelsfenster aus.",
		["Solo"] = "Solo",
		["Stored"] = "Gespeicherte Einstellungen",
		["WarlockHealthstone"] = "Jeder Gesundheitsstein"
	},
}

ADDON.L = ADDON.locales[GetLocale()] or {}
setmetatable(ADDON.L, {
	__index = ADDON.locales["enEN"]
})
